Bug 1290286 - hdf5 built with old openmpi
hdf5 built with old openmpi
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: hdf5 (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 23:34 EST by Dmitrij S. Kryzhevich
Modified: 2015-12-28 16:25 EST (History)
2 users (show)

See Also:
Fixed In Version: hdf5-1.8.12-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 16:25:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2015-12-09 23:34:52 EST
Description of problem:
In openmpi from RHEL/Centos 7.2 there is no libmpi.so.1 library and only libmpi.so.12 is. hdf5-openmpi requires first one for now.

Version-Release number of selected component (if applicable):
hdf5-openmpi-1.8.12-6.el7.x86_64
openmpi-1.10.0-10.el7.x86_64


How reproducible:
Every time when try to link anything with hdf5-openmpi lib.


Actual results:
/usr/bin/ld: warning: libmpi.so.1, needed by /usr/lib64/openmpi/lib/libhdf5.so, not found (try using -rpath or -rpath-link)

Expected results:
Linking without error.
Comment 1 Orion Poplawski 2015-12-09 23:53:16 EST
For now, try installing compat-openmpi16-devel.  But I'm building an update.
Comment 2 Dmitrij S. Kryzhevich 2015-12-10 00:04:44 EST
I tried before reporting. Should mention that, I suppose.

What issue with compat-openmpi16: it require call for "module load mpi/compat-openmpi16-x86_64" which add PATH, LD_LIBRARY_PATH and so on in addition to already loaded mpi/openmpi-x86_64. So, when mpicc is called during build phase in koji I get... I don't know exactly what I get.

I think I better wait.
Comment 3 Fedora Update System 2015-12-10 10:51:01 EST
hdf5-1.8.12-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2d0e7de56f
Comment 4 Fedora Update System 2015-12-28 14:06:01 EST
hdf5-1.8.12-7.el7 netcdf-4.3.3.1-5.el7 netcdf-fortran-4.2-16.el7 paraview-4.4.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-215b4baa77
Comment 5 Fedora Update System 2015-12-28 16:25:42 EST
hdf5-1.8.12-7.el7, netcdf-4.3.3.1-5.el7, netcdf-fortran-4.2-16.el7, paraview-4.4.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.